using MessagePack;

namespace GameMessage
{
    /// <summary>
    /// 注销俱乐部信息请求
    /// </summary>
    [Message(MessageCode.ClubDeleteRequest)]
    [MessagePackObject]
    public class ClubDeleteRequest : MessageData
    {
        [Key(0)]public int ClubId;
        [Key(1)]public int ExportClubId;

#if GameClient
        public static ClubDeleteRequest Create(int clubId, int exportClubId = 0)
        {
            ClubDeleteRequest request = GameFramework.ReferencePool.Acquire<ClubDeleteRequest>();
            request.ClubId = clubId;
            request.ExportClubId = exportClubId;
            return request;
        }
#endif
    }

    /// <summary>
    /// 信息响应注销俱乐部
    /// </summary>
    [Message(MessageCode.ClubDeleteResponse)]
    [MessagePackObject]
    public class ClubDeleteResponse : MessageData
    {
        [Key(0)]public int ClubId;
        [Key(1)]public int Code;
    }
}